using MemoryPack;

namespace Insight.Domain.Network;

[MemoryPackable]
public partial class Proxy<TMessage> : IMessage
    where TMessage : IMessage
{
    [MemoryPackOrder(0)]
    public string? ProxyId { get; set; }

    [MemoryPackOrder(1)]
    public TMessage? Message { get; set; }
}